<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>FTP Client: src/imp/program.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">FTP Client
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_974622f13743deb2c55e818b98bb3fa2.html">imp</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">program.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="program_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef POLCAVOJ_PROGRAM_H</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor"></span><span class="preprocessor">#define POLCAVOJ_PROGRAM_H</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;../pom/factory.h&quot;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">using namespace </span>std;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div>
<div class="line"><a name="l00008"></a><span class="lineno"><a class="line" href="classCProgram.html">    8</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCProgram.html">CProgram</a>{</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;        <a class="code" href="classCProgram.html">CProgram</a>( <span class="keywordtype">string</span> server );</div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="classCProgram.html#a7dfeb30706e7af06114fdf18262d7926">   11</a></span>&#160;        <a class="code" href="classCProgram.html#a7dfeb30706e7af06114fdf18262d7926">~CProgram</a>(){};</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;        <span class="keywordtype">void</span> work();</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    <span class="keyword">private</span>:</div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classCProgram.html#abb5ecce9e7a1ed205b01c4fb1a384e92">   15</a></span>&#160;        <a class="code" href="classCClient.html">CClient</a> * <a class="code" href="classCProgram.html#abb5ecce9e7a1ed205b01c4fb1a384e92">m_client</a>;</div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classCProgram.html#a6021a8231ec0437a7731a4ae72f80df0">   16</a></span>&#160;        <span class="keywordtype">string</span> <a class="code" href="classCProgram.html#a6021a8231ec0437a7731a4ae72f80df0">m_server</a>;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;};</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#endif //POLCAVOJ_PROGRAM_H</span></div>
<div class="ttc" id="classCClient_html"><div class="ttname"><a href="classCClient.html">CClient</a></div><div class="ttdef"><b>Definition:</b> client.h:15</div></div>
<div class="ttc" id="classCProgram_html_a6021a8231ec0437a7731a4ae72f80df0"><div class="ttname"><a href="classCProgram.html#a6021a8231ec0437a7731a4ae72f80df0">CProgram::m_server</a></div><div class="ttdeci">string m_server</div><div class="ttdef"><b>Definition:</b> program.h:16</div></div>
<div class="ttc" id="classCProgram_html_abb5ecce9e7a1ed205b01c4fb1a384e92"><div class="ttname"><a href="classCProgram.html#abb5ecce9e7a1ed205b01c4fb1a384e92">CProgram::m_client</a></div><div class="ttdeci">CClient * m_client</div><div class="ttdef"><b>Definition:</b> program.h:15</div></div>
<div class="ttc" id="classCProgram_html_a7dfeb30706e7af06114fdf18262d7926"><div class="ttname"><a href="classCProgram.html#a7dfeb30706e7af06114fdf18262d7926">CProgram::~CProgram</a></div><div class="ttdeci">~CProgram()</div><div class="ttdef"><b>Definition:</b> program.h:11</div></div>
<div class="ttc" id="classCProgram_html"><div class="ttname"><a href="classCProgram.html">CProgram</a></div><div class="ttdef"><b>Definition:</b> program.h:8</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Jun 3 2016 12:40:01 for FTP Client by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
